Skip to main content
GET
/
projects
/
{project_id}
/
keys
/
{key_id}
/
comments
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments/:id?branch=my-feature-branch" \
  -u USERNAME_OR_ACCESS_TOKEN
phrase comments show \
--project_id <project_id> \
--key_id <key_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "message": "Some message...",
  "has_replies": true,
  "user": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  },
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "locales": [
    {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "English",
      "code": "en-GB"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

key_id
string
required

Translation Key ID

id
string
required

ID

Query Parameters

branch
string

specify the branch to use

Response

OK

id
string
message
string
has_replies
boolean
user
user_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
created_at
string<date-time>
updated_at
string<date-time>
mentioned_users
user_preview · object[]
locales
locale_preview · object[]